| Demo HCI Implementation for WiMOD-LR Devices V2.0.3

Public Member Functions | List of all members
WiMOD_SAP_RLT Class Reference

Implementation for the ServiceAccessPoint RadioLinkTest (LR-Base firmware only) More...

`#include <SAP/WiMOD_SAP_RLT.h>`

## Public Member Functions
| WiMOD_SAP_RLT (TWiMODLRHCI *hci, UINT8 *buffer, UINT16 bufferSize)
| Constructor. More...
virtual | ~WiMOD_SAP_RLT (void)
| Destructor.
virtual TWiMODLRResultCodes | StartRadioLinkTest (const TWiMODLR_RLT_Parameter *params, UINT8 *statusRsp)
| Starts the integrated Radio Link Test mode/feature. More...
virtual TWiMODLRResultCodes | StopRadioLinkTest (UINT8 *statusRsp)
| Stops the integrated Radio Link Test mode/feature. More...
virtual bool | convert (TWiMODLR_HCIMessage &RxMsg, TWiMODLR_RLT_Status *statusData)
| Convert a received low level HCI-Msg to a high-level SensorAckData structure. More...
virtual void | RegisterStatusIndClient (TRltStatusIndicationCallback cb)
| Register a callback function for the event "RLT Status Indication". More...
virtual void | DispatchRLTMessage (TWiMODLR_HCIMessage &rxMsg)

## Detailed Description

Implementation for the ServiceAccessPoint RadioLinkTest (LR-Base firmware only)

## Constructor & Destructor Documentation

## ◆ WiMOD_SAP_RLT()

WiMOD_SAP_RLT::WiMOD_SAP_RLT | ( | TWiMODLRHCI * | hci,
|  | UINT8 * | buffer,
|  | UINT16 | bufferSize
| ) |  |

Constructor.

Parameters

  hci | Pointer to HCI processor object
  buffer | pointer to storage area for building tx frames; MUST BE VALID
  bufferSize | size of the buffer

## Member Function Documentation

## ◆ convert()

bool WiMOD_SAP_RLT::convert | ( | TWiMODLR_HCIMessage & | RxMsg,
|  | TWiMODLR_RLT_Status * | statusData
| ) |  |
| virtual

Convert a received low level HCI-Msg to a high-level SensorAckData structure.

This function should be used by the RLT Status Indication Callback function prior processing the received data message.

Parameters

  RxMsg | Reference to low-level HCI message.

Warning
  DO NOT MANIPULATE THESE VALUES !!!

Parameters

  statusData | Pointer to the buffer where to store the received data

Return values

  true | if the conversion was successful

## ◆ RegisterStatusIndClient()

void WiMOD_SAP_RLT::RegisterStatusIndClient | ( | TRltStatusIndicationCallback | cb | ) |
| virtual

Register a callback function for the event "RLT Status Indication".

This registered callback is called when the specified event is called by the WiMOD stack.

Parameters

  cb | pointer to a callback function that should be called if the event occurs.

## ◆ StartRadioLinkTest()

TWiMODLRResultCodes WiMOD_SAP_RLT::StartRadioLinkTest | ( | const TWiMODLR_RLT_Parameter * | params,
|  | UINT8 * | statusRsp
| ) |  |
| virtual

Starts the integrated Radio Link Test mode/feature.

This functions starts the integrated Radio Link Test mode / feature. The user can determnine the radio coverage with the helf of this mode.

Warning
  : Thes mode may interrupt normal operation. Use this mode only in defined test szenarios.

See also
  TWiMODLRResultCodes for interpretation of the values

Parameters

  params | poniter to parameter structure for this mode
  statusRsp | Status byte contained in the local response of the module

Return values

  WiMODLR_RESULT_OK | if command transmit to WiMOD was ok

## ◆ StopRadioLinkTest()

TWiMODLRResultCodes WiMOD_SAP_RLT::StopRadioLinkTest | ( | UINT8 * | statusRsp | ) |
| virtual

Stops the integrated Radio Link Test mode/feature.

This functions stops the integrated Radio Link Test mode / feature. The user can determnine the radio coverage with the helf of this mode.

Warning
  : Thes mode may interrupt normal operation. Use this mode only in defined test szenarios.

See also
  TWiMODLRResultCodes for interpretation of the values

Parameters

  statusRsp | Status byte contained in the local response of the module

Return values

  WiMODLR_RESULT_OK | if command transmit to WiMOD was ok

The documentation for this class was generated from the following files:

- SAP/WiMOD_SAP_RLT.h
- SAP/WiMOD_SAP_RLT.cpp